# Interface ITriggerPoint

All Superinterfaces:
  `IAdaptable`

All Known Implementing Classes:
  `Breakpoint, LineBreakpoint`

public interface ITriggerPoint extends IAdaptable
TriggerPoint is a breakpoint property which defines a dependency relationship between all the breakpoints of a workspace and trigger points defined in a workspace. TriggerPoint defines the availability of breakpoints to be suspended based on the order of hits of breakpoints. If there are active TriggerPoints, breakpoints can not be suspended.

Since:
  3.11

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TRIGGERPOINT`
Persisted breakpoint marker attribute (value `"org.eclipse.debug.core.triggerpoint"`).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTriggerPoint()`
Returns whether this breakpoint is defined as a trigger point in the workspace.
`void`
`setTriggerPoint(boolean trigger)`
Sets whether this breakpoint is to be treated as a trigger point for the workspace.

### Methods inherited from interface IAdaptable

`getAdapter`

## Field Details

### TRIGGERPOINT

static final String TRIGGERPOINT
Persisted breakpoint marker attribute (value `"org.eclipse.debug.core.triggerpoint"`). The attribute is a `boolean` corresponding to whether a breakpoint is a trigger breakpoint for the workspace.

See Also:
  - `IMarker.getAttribute(String, boolean)`
  - Constant Field Values

## Method Details

### isTriggerPoint

boolean isTriggerPoint() throws CoreException
Returns whether this breakpoint is defined as a trigger point in the workspace.

Returns:
  whether this breakpoint is a trigger point
Throws:
  `CoreException` - if unable to access the associated attribute on this breakpoint's underlying marker

### setTriggerPoint

void setTriggerPoint(boolean trigger) throws CoreException
Sets whether this breakpoint is to be treated as a trigger point for the workspace. If it is a trigger point, then the `ITriggerPoint` attribute on this breakpoint's marker is set to `true`.

Parameters:
  `trigger` - whether this breakpoint is to be treated as trigger point for the workspace
Throws:
  `CoreException` - if unable to set the associated attribute on this breakpoint's underlying marker.